List available connections
Lists the organization's connections shared with a project, besides its own.
GET
Lists the organization's connections shared with a project, besides its own.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
project*stringThe project's ID.
Match
^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$pageSize?integerMaximum number of connections to return. Defaults to 50; values above 500 are treated as 500.
Format
int32Range
0 <= valuepageToken?stringPage token from a previous response.
OK
application/json- response
connections*array<>Connections, oldest first.
nextPageToken*stringToken for the next page; empty on the last page.
curl -X GET 'https://api.kosem.ai/v1/projects/string/availableConnections'Example Response
{
"connections": [
{
"availability": {
"allProjects": true,
"projects": [
"string"
]
},
"config": {
"property1": "string",
"property2": "string"
},
"createTime": "2019-08-24T14:15:22Z",
"displayName": "string",
"name": "string",
"roles": [
{
"arn": "string",
"createTime": "2019-08-24T14:15:22Z",
"default": true,
"displayName": "string",
"name": "string",
"state": "ACTIVE",
"stateReason": "string",
"verifyTime": "2019-08-24T14:15:22Z"
}
],
"serviceAccounts": [
{
"createTime": "2019-08-24T14:15:22Z",
"default": true,
"displayName": "string",
"email": "string",
"state": "ACTIVE",
"stateReason": "string",
"verifyTime": "2019-08-24T14:15:22Z"
}
],
"state": "ACTIVE",
"stateReason": "string",
"trust": {
"attributeCondition": "string",
"audience": "string",
"issuer": "string",
"subject": "string"
},
"type": "string",
"updateTime": "2019-08-24T14:15:22Z",
"verifyTime": "2019-08-24T14:15:22Z"
}
],
"nextPageToken": "string"
}